%define upstream_name    Sys-HostIP
%define upstream_version 1.96

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module to get ip address related info
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/~bluelines/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/B/BL/BLUELINES//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Sys::HostIP does what it can to determine the ip address of your machine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.960.0-2.mga3
+ Revision: 372929
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.960.0-1.mga3
+ Revision: 315857
- update to 1.96

* Fri Feb 24 2012 jquelin <jquelin> 1.950.0-1.mga2
+ Revision: 213764
- update to 1.95

* Tue Feb 22 2011 jquelin <jquelin> 1.810.0-1.mga1
+ Revision: 56888
- update to 1.81

* Thu Jan 20 2011 jquelin <jquelin> 1.700.0-1.mga1
+ Revision: 27040
- mageia rebuild
- imported package perl-Sys-HostIP

